Bug 850949 - Review Request: pam_google_authenticator - Pluggable authentication module for Google Authenticator
Review Request: pam_google_authenticator - Pluggable authentication module fo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 0xFFFF (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 16:34 EDT by Floren Munteanu
Modified: 2015-02-17 09:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Floren Munteanu 2012-08-22 16:34:33 EDT
Spec URL: http://www.axivo.com/redhat/SPECS/pam_google_authenticator.spec
SRPM URL: http://www.axivo.com/redhat/SRPMS/pam_google_authenticator-1.0-1.el6.src.rpm
Description:
Google Authenticator contains a pluggable authentication module (PAM) which
allows login using one-time passcodes conforming to the open standards
developed by the Initiative for Open Authentication (OATH). Passcode generators
are available (separately) for several mobile platforms.

Fedora Account System Username: floren
Comment 1 Michael H. Warfield 2012-08-22 17:13:12 EDT
This package should obsolete the google-authenticator as it provides the same functionality only rebased to the 1.0 code base.
Comment 2 Floren Munteanu 2012-08-22 17:32:54 EDT
Done. :)
Comment 3 Floren Munteanu 2012-08-22 17:38:40 EDT
Please be aware that the package creates /var/lib/google-authenticator directory, as detailed into my tutorial: http://www.axivo.com/go/googleauth

All security info is highlighted into "Dark Side" section, near the the end of tutorial. There is a debate related to proper TOTP files location, see https://bugzilla.redhat.com/show_bug.cgi?id=754978 link. I still believe the proper location to store the user TOTP files is /var/lib/google-authenticator.
Comment 4 Michael H. Warfield 2012-08-22 17:45:42 EDT
Much better...  Compiled and installed like a champ.  I'll be testing it furhter shortly.

On the location of the files we, amongst many, have expressed our opinions.  It's is now up to the maintainer (David?) and the Fedora people to make that determination.  I will bow to the rough concensus of the community.

Either way, we need to update the google-authenticator utility updated to support the agreed upon paths as well.
Comment 5 Floren Munteanu 2012-08-22 17:54:18 EDT
The package will compile and install properly from Fedora 12 up to rawhide. After all, I use it in CentOS 5 without issues. :)
Looking forward to hear what David has to say about /var/lib/google-authenticator location. I will adjust the package if a maintainer decision is taken regarding a different directory. But I have a feeling the directory will be accepted as is, due to its logical structure.
Comment 6 Michael H. Warfield 2012-08-23 12:34:58 EDT
Yup...  Confirmed it installed perfectly.  Confirmed that HMAC codes are working.  Confirmed that nullok works so I didn't screw up my root account by adding it before setting up root.  All good!

The existing rpms in the Fedora and EPEL repos have two patches in them noted like this:

0001-Add-no-drop-privs-option-to-manage-secret-files-as-r.patch
0002-Allow-expansion-of-PAM-environment-variables-in-secr.patch

Not sure of their applicability here or what I would do to test that but I see your package has no such patches.  IAC, manually testing the patches to see if they would even apply to these sources fails on at least one Hunk each.  I guess that's up to the maintainer to deal with that.
Comment 7 Floren Munteanu 2012-08-23 14:13:30 EDT
You can safely ignore those patches, they are rendered obsolete with the official 1.0 release. They were used into SVN package to enhance Google Authenticator with features that did not existed at that time (i.e. user=root).
Comment 8 Michael H. Warfield 2012-08-23 14:32:49 EDT
Excellent!  Good to know.  Thanks.
Comment 9 Floren Munteanu 2012-08-26 06:02:17 EDT
Just curious, how long does it takes to review a package?
Comment 10 Fedora End Of Life 2013-04-03 12:30:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Fedora End Of Life 2015-01-09 12:20:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 09:25:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.